<h1>Listing Episodes</h1>

<table>
  <thead>
    <tr>
      <th>Title</th>
      <th>Seconds long</th>
      <th>Topics</th>

      <th></th>
    </tr>
  </thead>
  <tbody>
<%= for episode <- @episodes do %>
    <tr>
      <td><%= episode.title %></td>
      <td><%= episode.seconds_long %></td>
      <td class="topics">
        <%= for topic <- episode.entity.topics do %>
          <%= link to: Routes.topic_path(@conn, :tagged, topic) do %><div class="stamp"><%= topic.text %></div><% end %>
        <% end %>
      </td>

      <td>
        <%= button "Show", to: Routes.episode_path(@conn, :show, episode), method: "get", class: "button-small" %>
        <%= button "Edit", to: Routes.episode_path(@conn, :edit, episode), method: "get", class: "button-outline button-small" %>
      </td>
    </tr>
<% end %>
  </tbody>
</table>

<span><%= button "New Episode", to: Routes.episode_path(@conn, :new), method: "get" %></span>
